Package org.apache.naming.factory

## Class LookupFactory

- java.lang.Object
- - org.apache.naming.factory.LookupFactory

- All Implemented Interfaces:
    `javax.naming.spi.ObjectFactory`

      public class LookupFactory
      extends java.lang.Object
      implements javax.naming.spi.ObjectFactory

  Object factory for lookups.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LookupFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getObjectInstance​(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable<?,​?> environment)` | Create a new Resource env instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LookupFactory

          public LookupFactory()

  - ### Method Detail

    - #### getObjectInstance

          public java.lang.Object getObjectInstance​(java.lang.Object obj,
                                                    javax.naming.Name name,
                                                    javax.naming.Context nameCtx,
                                                    java.util.Hashtable<?,​?> environment)
                                             throws java.lang.Exception

      Create a new Resource env instance.
      Specified by:
        `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
      Parameters:
        `obj` - The reference object describing the DataSource
      Throws:
        `java.lang.Exception`